import httpClient from '@/services/http'
import { CommonFetchOptions } from '@/services/http/types'

/**
 * 系统设置管理-->系统运行管理-->登录异常流水查询-->获取列表
 */
export function queryError(options: CommonFetchOptions<{ request: Model.SystemErrorReq; response: Model.SystemErrorRsp; }>) {
    return httpClient.commonRequest('/operation/queryError', 'get', options)
}

/**
 * 系统设置管理-->系统运行管理-->管理员操作日志-->获取列表
 */
export function queryLog(options: CommonFetchOptions<{ request: Model.SystemLogReq; response: Model.SystemLogRsp; }>) {
    return httpClient.commonRequest('/operation/queryLog', 'get', options)
}

/**
 * 系统设置管理-->系统运行管理-->登录异常流水查询-->导出
 */
export function systemExport(options: CommonFetchOptions<{ request: Model.SystemExportReq; }>) {
    return httpClient.commonRequest('/operation/export', 'get', options)
}


